gd_frameoffset64(3)

NAME
gd_frameoffset64, gd_alter_frameoffset64 — report or change the frame offset of fields in a dirfile, with largefile support

SYNOPSIS
#define _LARGEFILE64_SOURCE

#include <getdata.h>

off64_t gd_frameoffset(DIRFILE *dirfile, int fragment_index);

int gd_alter_frameoffset64(DIRFILE *dirfile, off64_t offset, int fragment_index, int move);

DESCRIPTION
These version of gd_frameoffset(3) and gd_alter_frameoffset(3) use a 64-bit offset type, even if off_t is a 32-bit type. They are only available if the caller defines _LARGEFILE64_SOURCE before including getdata.h.

If off_t is a 64-bit type (i.e. if _FILE_OFFSET_BITS is defined to be 64), these function will be called gd_frameoffset() and gd_alter_frameoffset(). Otherwise, gd_frameoffset() and gd_alter_frameoffset() will be versions of these functions which use a 32-bit off_t.

SEE ALSO
gd_alter_frameoffset(3), gd_frameoffset(3), feature_test_macros(7)